summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2022-06-26 16:35:25 -0400
committerPaul Smith <psmith@gnu.org>2022-07-09 10:46:47 -0400
commitb09e9af0b823498b151c64d25df078605c72ac4e (patch)
tree3278041f4796c0baff690c86bfcf2c1c3ecb1f55 /build.sh
parent9992cb0b8334f48fbac3d7267198453d822a4bf8 (diff)
downloadmake-git-b09e9af0b823498b151c64d25df078605c72ac4e.tar.gz
* build.sh: Manage libgnu_a-prefixed source files
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 5ccf64e3..546601ad 100755
--- a/build.sh
+++ b/build.sh
@@ -57,7 +57,12 @@ compile ()
{
objs=
for ofile in "$@"; do
+ # We should try to use a Makefile variable like libgnu_a_SOURCES or
+ # something but just hardcode it.
file="${ofile%.$OBJEXT}.c"
+ case $file in
+ (lib/libgnu_a-*.c) file="lib/${file#lib/libgnu_a-}" ;;
+ esac
echo "compiling $file..."
of="$OUTDIR/$ofile"
mkdir -p "${of%/*}"
@@ -75,10 +80,13 @@ convert ()
var="GENERATE_$(echo $base | tr 'a-z./+' A-Z__X)"
# Is this file disabled?
- grep "${var}_FALSE\"]=\"\"" config.status >/dev/null && return
+ grep "${var}_FALSE\"]=\"\"" config.status >/dev/null && return 0
- # Not disabled, so create it
+ # If there's no .in file then no conversion needed
in="$top_srcdir/lib/$(echo ${base%.*}.in.${base##*.} | tr / _)"
+ test -f "$in" || return 0
+
+ # Not disabled, so create it
out="$OUTLIB/$base"
mkdir -p "${out%/*}"